Skip to main content
POST
/
api
/
annotation
Creates a new annotation on the specified owner entity.
curl --request POST \
  --url https://{install}/api/annotation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "owner": 123,
  "ownerId": "<string>",
  "annotator": 123,
  "annotatorId": "<string>",
  "restrictedTo": [
    "<string>"
  ],
  "contentType": "<string>",
  "content": "<string>",
  "meta": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'
{
  "entity": "<string>",
  "owner": 123,
  "ownerId": "<string>",
  "annotator": 123,
  "annotatorId": "<string>",
  "restrictedTo": [
    "<string>"
  ],
  "contentType": "<string>",
  "content": "<string>",
  "meta": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The annotation to create, including owner, annotator, content type, and content.

entity
null | string
owner
integer
ownerId
string
annotator
integer
annotatorId
string
restrictedTo
string[]
contentType
string
content
string
meta
object[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

The newly created annotation.

entity
null | string
owner
integer
ownerId
string
annotator
integer
annotatorId
string
restrictedTo
string[]
contentType
string
content
string
meta
object[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean